NAME
	sman -	display information on the source code in the mudlib
	

SYNOPSIS
	sman -c
	sman -k [subdir] keyword
	sman [subdir] keyword
	sman #selection
	sman -s #selection
	sman -s keyword
        sman -e #selection
        sman -e keyword
	sman -?
	sman -u

DESCRIPTION
	Sman is used to access information on functions in files in the
	standard mudlib. Sman can be used to search for a specific function
	in a number of files, possibly by only giving part of the function
	name. Sman can also be used to locate a function in the source and
	list the appropriate part of a file.

	A keyword need not be given as the full name of a function, a
	small part of one will suffice. For example, the command
	"sman *uery_in*" could display the information of the function
	'query_intoxicated()' if this is the first function that
	will match the given keyword.

	The keyword can not be a full regexp pattern. Only leading 
	and trailing '*'s are allowed.

	If a subdir is specified, the command will store the array 
	containing the possible matches for further quick reference
	with the "sman #selection" command.

	A subdir is given to limit the search to that subdir.
	If no subdir is given the search starts at the top, usually
	/doc/sman/

	If subdir is a file, only that file is searched for the given 
	keyword.

OPTIONS	
	[subdir] keyword
		Display the information on the first function found that 
		matches the given keyword. If a subdir is specified,
		store the selection array for further reference.

	-c
		List all available subdirs.
	
	-k [subdir] keyword
		Display all matches of 'keyword'. If the subdir is specified
		store the selection array for further reference.

	sman -?
		Display the stored selection array.
	
	sman #selection
		Display the information on the specified preselected entry.

	sman -s #selection
		Display the sourcecode associated with the specified
		preselected entry, if any such code exists.

	sman -e
		Instead of listing the function start ed. The start line
		number of the function you search for will be written.

	sman -u
		Update the 'in-memory' index. You do this after you have
		used the 'sdoc' command to produce more documentation.

EXAMPLES
	sman -k /std query_*
		Will give selection entries on all functions whose name
		starts with query_ and that exist under the /std subdir.

	sman -s /std/object *move*
		Will produce a listing of the file /std/object.c beginning
		at the first function that has 'move' as a part of its name.
		
	sman /cmd *look*
		Will produce the information on the first found function
		in any file under /cmd that has 'look' as a part of its name.


BUGS
	If the to many alternatives are available the printed list of
	selections will be truncated. Typical example: 'sman -k /std/living'

